Bug 1274880 - Rebase openstack-neutron to 2015.1.2
Rebase openstack-neutron to 2015.1.2
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: z3
: 7.0 (Kilo)
Assigned To: Ihar Hrachyshka
Toni Freger
: Rebase, Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 14:46 EDT by Lon Hohberger
Modified: 2016-04-26 13:14 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-neutron-2015.1.2-1.el7ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
This neutron rebase package includes a number of notable enhancements and fixes under version 2015.1.2: * Layer 3 High Availability: - Fixed race condition when starting radvd processes for IPv6 networks - Gratuitous APR updates are now repeated - Fixed HA routers when l2population ML2 driver was used - Fixed a bug where a HA router failed while configuring IPv6 Router Advertisements on its external gateway - It is now possible to configure the underlying physical network for VRRP traffic * L3: - Stale metadata processes are now cleaned up on sync - Prevents attaching an interface to a router if the port does not have an IP address assigned - Gratuitous ARPs are now skipped for IPv6 addresses * Distributed Virtual Routing (DVR): - Service port ARP is now broadcast - Routers are now unscheduled if all remaining ports are not bound to the node * Security Groups: - Fixed ipset cleanup on last security group rule removal - Fixed ipset cleanup if requested set does not exist - IPtables manager is significantly optimized for performance - Fixed interaction with LBaaS ports - More fixes for default security group creation * DHCP: - Fixed a bug where some IPv6 addresses might miss name resolution settings - Scheduler is optimized to guarantee the configured number of agents serving a network - Fixed a bug where tunnels were not created on failover, when using the l2population ML2 driver * ML2 plugin: - Fixed rare race condition where a port and its network were removed in parallel * Open vSwitch (OVS): - Do not use ARP responder for IPv6 addresses * SR-IOV: - Fixed setting admin_state_up for ports * Linux Bridge: - Fixed race condition on bridge cleanup - Tap device MTU is now set according to underlying physical device - Added ARP spoofing protection support (disabled by default) * Port Security: - Fixed late enablement of the extension for existing networks * API: - Allow to unset description for an agent
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2015-10-23 14:46:25 EDT
Rebase openstack-neutron to 2015.1.2.  If appropriate, link any critical issues addressed in this rebase.  If there is no upstream release, please close this bugzilla.
Comment 3 Toni Freger 2015-12-07 08:22:16 EST
Tempest network_basic_ops on top of AIO
openstack-neutron-2015.1.2-1.el7ost
Passed
Comment 5 errata-xmlrpc 2015-12-21 11:59:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2015:2652

Note You need to log in before you can comment on or make changes to this bug.